<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--
Copyright 2004-2007, U.S. Robotics Corporation
All Rights Reserved.

THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF ANY
KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S. Robotics
SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
-->

<html lang="en">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
	<title>Status</title>
	<link href="usr_layout.css" type="text/css" rel="stylesheet" /><script src="usr_layout.js" type="text/javascript"></script>
	<link href="usr_menus_tabbed.css" type="text/css" rel="stylesheet" /><script src="usr_menus_tabbed.js" type="text/javascript"></script><script src="usr_menus_build.js" type="text/javascript"></script>
	<link href="usr_device.css" type="text/css" rel="stylesheet" /><script src="usr_device.js" type="text/javascript"></script><script src="usr_5454.js" type="text/javascript"></script><script src="usr_resources.js" type="text/javascript"></script>
	<script type="text/javascript">

<!--
/* get the right WEP wireless key */
function get_key()
{
	var idx = <% nvram_get("wl0_key"); %>;
		
	if (idx == 1)
		return "<% nvram_get("wl0_key1"); %>";
	if (idx == 2)
		return "<% nvram_get("wl0_key2"); %>";
	if (idx == 3)
		return "<% nvram_get("wl0_key3"); %>";
	if (idx == 4)
		return "<% nvram_get("wl0_key4"); %>";
	else
		return "";
}

function get_encryption()
{
	var encrypt = "<% nvram_get("cbEncryption"); %>";
	
	if (encrypt == "tkip+aes")
		return "TKIP and AES";
	
	if (encrypt == "aes") 
		return "AES";
	
	if (encrypt == "tkip") 
		return "TKIP";
	else	
		return "None";
}	

function get_method()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
		
	if (auth == "wpa12")
		return "WPA2 and WPA (PSK)";
		
	if (auth == "wpa2")
		return "WPA2 (PSK)";
		
	if (auth == "wpa")
		return "WPA (PSK)";
		
	if (auth == "open") 
		return "WEP open";
		
	if (auth == "shared") 
		return "WEP shared";
			
	if (auth == "none") 
		return "None";
	
	if (auth == "radius-wpa12") 
		return "WPA2 and WPA with 802.1x (RADIUS)";
		
	if (auth == "radius-wpa2") 
		return "WPA2 with 802.1x (RADIUS)";
		
	if (auth == "radius-wpa") 
		return "WPA with 802.1x (RADIUS)";
	else	
		return "";
}

/* initialize radius server and key encryption fields */
function initialize()
{
	var auth = "<% nvram_get("cbAuthEncrypt"); %>";
	var mode = "<% nvram_get("wl0_mode"); %>";
	var extender = "<% nvram_get("extender"); %>";
	
	if (mode == "ap") {
		setVisibility('idBroadcast', true);
		setVisibility('idAP', true);
		if (extender == 1) {
			setVisibility('idWDS', true);
			setVisibility('idRepeater', true);
		}
		setVisibility('idMAC', true);
		setVisibility('idClients', true);
	}	
	else if (mode == "wds") {
		setVisibility('idWDS', true);
		setVisibility('idRepeater', true);
	}
	else {
		setVisibility('idSignal', true);
		setVisibility('idRate', true);
		setVisibility('idBSSID', true);
	}
				
	if ((auth == "wpa12") || (auth == "wpa2") || (auth == "wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idKey1', true);
	}
	else if ((auth == "open") || (auth == "shared")) {
			setVisibility('idKey2', true);
	}
	else if	((auth == "radius-wpa12") || (auth == "radius-wpa2") || (auth == "radius-wpa")) {
		setVisibility('idEncrypt', true);
		setVisibility('idRadiusserver', true);
		setVisibility('idRadiusport', true);
		setVisibility('idRadiuskey', true);
	}
}
	
/* get wds restriction */
function get_wds()
{
	var wds = <% nvram_get("wl0_lazywds"); %>;
	
	if (wds)
		return "Disabled";
	return "Enabled";
}

/* get ssid broadcast */
function get_ssid()
{
	var ssid = <% nvram_get("wl0_closed"); %>;
	
	if (ssid)
		return "Disabled";
	return "Enabled";
}

function get_MACmode()
{
	var mac = "<% nvram_get("wl0_macmode"); %>";
	
	if (mac == "disabled")
		return "Disabled";
	if (mac == "allow")
		return "Allow";
	if (mac == "deny")
		return "Deny";
}

function get_channel()
{	var channel = <% wl_cur_channel(); %>;
	var nbw = "<% wl_cur_nbw(); %>";
	var sideband = "<% wl_cur_nctrlsb(); %>";

	if ((nbw == "20MHz") || (sideband == "none"))
		return channel;
	else if (sideband == "lower") 
		return channel + "  (Extension: " + (channel + 4) + ")";
	else if (sideband == "upper")
		return channel + "  (Extension: " + (channel - 4) + ")";
}
//-->
</script>
</head>


<body onload="initialize();">

<script type="text/javascript">
	writeHeader();
</script>

<noscript>
	<p class="clsNotice">The USRobotics Wireless <i>Ndx</i> Access Point uses scripting to display
	its data correctly. This browser either doesn&rsquo;t support scripting or has
	scripting disabled. Please refer to your browser&rsquo;s documentation for instructions
	on how to enable scripting.
	</p>
</noscript>

<div id="idHelpOpen" style="display: none;" onclick="setVisibility('idHelpOpen', false); setVisibility('idPanelHelp', true);">?</div>
<div id="idPanelHelp">

   <div id="idHelpClose" onclick="setVisibility('idPanelHelp', false); setVisibility('idHelpOpen', true);">x</div>

	<p class="clsNote"><a href="javascript:print();">Print this page</a>
	<br/>
<script type="text/javascript">
	document.write('<a href="' + document.location.href + '" title="USRobotics Access Point" rel="sidebar" onclick="bookmark(this); return false;">Bookmark the access point<\/a>');
</script>
	or press Ctrl+D
   	</p>
	
	<h1>Tutorial</h1>
	<p>How do I add a <a href="tutorial_addclient.asp">new wireless client</a> to my network?</p>
	
	<div id="idWDS" style="display: none;">
	<h1>Wireless</h1>
	<p>This section displays information about the bridge&rsquo;s wireless network.
	It also lists the MAC addresses of access points or bridges that are part of your bridge network.
	If an access point has a check mark (<img src="check.gif" border="0" />) next to its
	MAC address, it has a WDS link with your device. In order to exchange data with that access point 
	you need to verify that both devices are using the same network name, channel, and wireless security.
	</p>
	</div>
	
	<h1>Refresh</h1>
	<p>Click the <strong>Refresh</strong> button at the bottom of the page to display the latest values.</p>
</div>

<table border="0">
		<tr><td colspan="2"><h2>Device</h2></td></tr>
		<tr>
			<td><label>Name:</label></td>
			<td class="clsStatic">USRobotics Wireless <i>Ndx</i> Access Point (USR5454)</td>
		</tr>
		<tr>
			<td><label>Firmware:</label></td>
			<td class="clsStatic"><% nvram_get("os_version"); %> (<% nvram_get("os_date"); %>)</td>
		</tr>
		<tr>
			<td><label>Boot loader:</label></td>
			<td class="clsStatic"><% nvram_get("pmon_ver"); %></td>
		</tr>
		
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h2>Wireless</h2></td></tr>
		<tr>
			<td><label>Wireless mode:</label></td>
			<td class="clsStatic"><% wl_cur_mode(); %></td>
		</tr>
		<tr>
			<td><label>Network name:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_ssid"); %></td>
		</tr>
		<tr id="idBroadcast" style="display: none;"> 
			<td><label>Broadcast name:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_ssid());</script></td>
		</tr>
		<tr>
			<td><label>Channel:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_channel());</script></td>
		</tr>
		<tr id="idSignal" style="display: none;">
			<td><label>Signal strength:</label></td>
			<td class="clsStatic"><% wl_cur_signal(); %></td>
		</tr>
		<tr id="idRate" style="display: none;">
			<td><label>Current rate:</label></td>
			<td class="clsStatic"><% wl_cur_rate(); %></td>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_hwaddr"); %></td>
		</tr>
		<tr id="idBSSID" style="display: none;">
			<td><label>Associated network:</label></td>
			<td class="clsStatic"><% wl_cur_BSSID(); %></td>
		</tr>
		<tr id="idAP" style="display: none;">
			<td class="clsLabel">WDS restrictions:</td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_wds());</script></td>
		</tr>
		<tr id="idRepeater" style="display: none;">
		<td valign="top"><label>Access Point(s):</label></td>
		<td>
			<table border="0" cellspacing="0" cellpadding="1">
				<% wl_wds_status(0); %>
			</table>
		</td>
			
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h2>Security</h2></td></tr>
		<tr>
			<td><label>Method:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_method());</script></td>
		</tr>
		<tr id="idEncrypt" style="display: none;">
			<td><label>Encryption:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_encryption());</script></td>
		</tr>
		<tr id="idKey1" style="display: none;">
			<td><label>Pass phrase:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_wpa_psk"); %></td>
		</tr>
		<tr id="idKey2" style="display: none;">
			<td><label>Key:</label></td>
			<td class="clsStatic"><script>document.write(get_key());</script></td>
		</tr>
		<tr id="idRadiusserver" style="display: none;">
			<td><label>RADIUS server:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_ipaddr"); %></td>
		</tr>
		<tr id="idRadiusport" style="display: none;">
			<td><label>RADIUS port:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_port"); %></td>
		</tr>
		<tr id="idRadiuskey" style="display: none;">
			<td><label>RADIUS key:</label></td>
			<td class="clsStatic"><% nvram_get("wl0_radius_key"); %></td>
		</tr>
		<tr id="idMAC" style="display: none;">
			<td><label>Wireless MAC filter:</label></td>
			<td class="clsStatic"><script type="text/javascript">document.write(get_MACmode());</script></td>
		</tr>
					
		<tr><td colspan="2">&nbsp;</td></tr>
		<tr><td colspan="2"><h2>LAN</h2></td></tr>
		<tr>
			<td><label>IP address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_ipaddr"); %></td>
		</tr>
		<tr>
			<td><label>Subnet mask:</label></td>
			<td class="clsStatic"><% nvram_get("lan_netmask"); %></td>
		</tr>
		<tr>
			<td><label>MAC address:</label></td>
			<td class="clsStatic"><% nvram_get("lan_hwaddr"); %></td>
		</tr>
</table>

<div id="idClients" style="display: none;">
<h2>Clients</h2>

<table class="clsRuled">
			<thead>
				<tr valign="bottom" align="left">
					<th>MAC Address</th>
					<th>Association Time</th>
					<th>Authorized</th>
					<th>WMM Link</th>
					<th>Power Save</th>
				</tr>
			</thead>
			<tbody>
			<% wl_auth_list(); %>
			</tbody>
			<tfoot><tr></tr></tfoot>
</table>
</div>   <!-- idClients -->

<form action="status.asp" method="post">
	<input type="submit" class="clsBtnSave" name="Refresh" value="Refresh">
</form>

<script type="text/javascript">
	writeFooter();
</script>

</body>
</html>

